Bulk Delete Alerts
DELETE /api/0/organizations/{organization_id_or_slug}/workflows/
Bulk delete alerts for a given organization
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
query(string)An optional search query for filtering alerts.
id(array(integer))The ID of the alert you'd like to query.
project(array(undefined))The IDs or slugs of projects to filter by. Project slugs are unique within each organization. Omit this parameter to include all accessible projects.
-1is also accepted to include all accessible projects. For example, the following are valid parameters:/?project=1234&project=56789/?project=android&project=javascript-react/?project=-1
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:alerts:writeorg:adminorg:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/workflows/ \ -H 'Authorization: Bearer <auth_token>' \ -X DELETE
RESPONSE
CopiedSuccess.
Was this helpful?